Bug 1475759 - CVE-2017-9258 CVE-2017-9259 CVE-2017-9260 soundtouch: various flaws [fedora-all]
Summary: CVE-2017-9258 CVE-2017-9259 CVE-2017-9260 soundtouch: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: soundtouch
Version: 27
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-9260 CVE-2017-9259 CVE-2017-9258
TreeView+ depends on / blocked
 
Reported: 2017-07-27 09:33 UTC by Andrej Nemec
Modified: 2018-07-16 18:25 UTC (History)
3 users (show)

Fixed In Version: soundtouch-2.0.0-3.fc27 soundtouch-2.0.0-3.fc28
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-16 17:36:31 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-07-27 09:33:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-07-27 09:33:39 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1475756,1475757,1475758

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Sergio Monteiro Basto 2017-07-28 11:44:40 UTC
Hi,  
Andrej Nemec,  what do you mean by closing these bugs  ? 
what action should we take ? 

Thanks

Comment 3 Andrej Nemec 2017-07-28 13:24:52 UTC
(In reply to Sergio Monteiro Basto from comment #2)
> Hi,  
> Andrej Nemec,  what do you mean by closing these bugs  ? 
> what action should we take ? 
> 
> Thanks

Hello Sergio,

I have closed the parent bug as Wontfix, because we are not planning to fix these issues in the Red Hat Enterprise Linux. I am leaving this tracking bug open for the Fedora maintainer to decide if he wants to fix it in Fedora.

Comment 4 Fedora End Of Life 2018-05-03 09:00:07 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Jan Kurik 2018-05-31 08:10:47 UTC
This bug has been reported against a Fedora version which is already unsuported.
In compliance with FESCo decision how to handle EOL of Security issues [1],
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

[1] https://pagure.io/fesco/issue/1736

Comment 6 Fedora Update System 2018-07-05 22:15:16 UTC
soundtouch-2.0.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-93a43993aa

Comment 7 Fedora Update System 2018-07-05 22:15:25 UTC
soundtouch-2.0.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4197fff086

Comment 8 Fedora Update System 2018-07-06 16:02:08 UTC
soundtouch-2.0.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4197fff086

Comment 9 Fedora Update System 2018-07-06 17:53:14 UTC
soundtouch-2.0.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-93a43993aa

Comment 10 Fedora Update System 2018-07-16 17:36:31 UTC
soundtouch-2.0.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-07-16 18:25:22 UTC
soundtouch-2.0.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.